Summary: A tool for gathering and displaying system information.
Name: procinfo
Version: 17
Release: 3mdk
Copyright: GPL
Group: Monitoring
Source: ftp://ftp.cistron.nl/pub/people/svm/procinfo-17.tar.bz2
Patch0: procinfo-14-misc.patch.bz2
Buildroot: /var/tmp/procinfo-root

%description
The procinfo command gets system data from the /proc directory
(the kernel filesystem), formats it and displays it on standard
output.  You can use procinfo to acquire information about your
system from the kernel as it is running.

Install procinfo if you'd like to use it to gather and display
system data.

%prep
%setup -q
%patch0 -p1 -b .misc

%build
if [ x"$SMP" != x"" ]; then
	(make MAKE="make -j $SMP -k" RPM_OPT_FLAGS="$RPM_OPT_FLAGS"; exit 0)
	make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
else
	make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
perl -p -i -e 's/-o 0 -g 0//g' Makefile
make install prefix=$RPM_BUILD_ROOT/usr



find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO CHANGES
/usr/bin/procinfo
/usr/bin/lsdev
/usr/bin/socklist
/usr/man/man8/procinfo.8.bz2
/usr/man/man8/lsdev.8.bz2
/usr/man/man8/socklist.8.bz2

%changelog
* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 17-3mdk
- fix bad tag value.

* Mon Mar 20 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 17-2mdk
- Updated to procinfo 17
- removed the jbj architecture patch cause it has been included in the procinfo
  tree.

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build
- build as non root

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- patched to work with kernels with LOTS of IRQs. (bug 1616)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Michael Maher <mike@redhat.com>
- updated to version 16
- closed bug 1349

* Fri Nov 20 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 15 to fix bugzilla 70.

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- calculate time per-cent on non-{alpha,i386} correctly.

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 14
- fixed the spec file 

* Thu Apr 30 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.11 to 13
- added socklist program

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 0.11

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
